package cn.com.qmth.examcloud.core.oe.admin.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

import java.util.Date;

/**
 * 人脸活体验证结果（支持C端客户端活检）
 */
public class FaceLiveVerifyBean implements JsonSerializable {

    private static final long serialVersionUID = -622363885150638414L;

    /**
     * 考试记录ID
     */
    private Long examRecordDataId;

    /**
     * 验证状态
     */
    private String status;

    /**
     * 动作验证列表，JSON格式
     */
    private String actions;

    /**
     * 人脸数量
     */
    private Integer faceCount;

    /**
     * 相似度分数
     */
    private Double similarity;

    /**
     * 真实性分数
     */
    private Double realness;

    /**
     * 处理耗时（毫秒）
     */
    private Long processTime;

    /**
     * 错误信息
     */
    private String errorMsg;

    private Date creationTime;

    private Date updateTime;

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getActions() {
        return actions;
    }

    public void setActions(String actions) {
        this.actions = actions;
    }

    public Integer getFaceCount() {
        return faceCount;
    }

    public void setFaceCount(Integer faceCount) {
        this.faceCount = faceCount;
    }

    public Double getSimilarity() {
        return similarity;
    }

    public void setSimilarity(Double similarity) {
        this.similarity = similarity;
    }

    public Double getRealness() {
        return realness;
    }

    public void setRealness(Double realness) {
        this.realness = realness;
    }

    public Long getProcessTime() {
        return processTime;
    }

    public void setProcessTime(Long processTime) {
        this.processTime = processTime;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}
