package cn.com.qmth.examcloud.core.oe.student.api.response;

import cn.com.qmth.examcloud.api.commons.exchange.BaseResponse;

/**
 * @Description 计算考试分数响应类s
 * @Author lideyin
 * @Date 2019/12/19 14:21
 * @Version 1.0
 */
public class CalcExamScoreResp extends BaseResponse {

    private static final long serialVersionUID = 447818414172174225L;

    /**
     * 总分
     */
    private Double totalScore;

    /**
     * 客观题得分总分
     */
    private Double objectiveScore;

    /**
     * 客观题答对的比率
     * (客观题答对的题数/客观题总题数)*100  取2位小数
     */
    private Double objectiveAccuracy;

    /**
     * 答题正确率
     */
    private Double succPercent;

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public Double getObjectiveAccuracy() {
        return objectiveAccuracy;
    }

    public void setObjectiveAccuracy(Double objectiveAccuracy) {
        this.objectiveAccuracy = objectiveAccuracy;
    }

    public Double getSuccPercent() {
        return succPercent;
    }

    public void setSuccPercent(Double succPercent) {
        this.succPercent = succPercent;
    }
}
