package cn.com.qmth.examcloud.examwork.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.examwork.api.request.*;
import cn.com.qmth.examcloud.examwork.api.response.*;

/**
 * @Description 考试场次
 * @Author lideyin
 * @Date 2020/8/6 15:54
 * @Version 1.0
 */
public interface ExamStageCloudService extends CloudService {

	/**
	 * 更新场次中的考试状态
	 *
	 * @param req
	 */
	ModifyExamStageStartExamStatusResp modifyExamStageStartExamStatus(ModifyExamStageStartExamStatusReq req);

	/**
	 * 获取场次信息
	 *
	 * @param req
	 */
	GetExamStageResp getExamStage(GetExamStageReq req);
}
