package cn.com.qmth.examcloud.core.oe.admin.client;

import cn.com.qmth.examcloud.core.oe.admin.api.request.AddExamScoreNoticeQueueReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.AddExamScoreNoticeQueueResp;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.admin.api.ExamScoreNoticeQueueCloudService;

@Service
public class ExamScoreNoticeQueueCloudServiceClient extends AbstractCloudClientSupport
		implements
			ExamScoreNoticeQueueCloudService {

	private static final long serialVersionUID = -2866999608688584179L;

	@Override
	public void sendObtainScoreNotice() {
		post("examScoreNoticeQueue/sendObtainScoreNotice");
	}

	/**
	 * 添加成绩通知队列
	 * @param req
	 * @return
	 */
	@Override
	public AddExamScoreNoticeQueueResp addExamScoreNoticeQueue(AddExamScoreNoticeQueueReq req) {
		return post("examScoreNoticeQueue/addExamScoreNoticeQueue",req,AddExamScoreNoticeQueueResp.class);
	}

}
